Package be.ehealth.businessconnector.chapterIV.builders

# Class WrappedResponseBuilder

java.lang.Object
be.ehealth.businessconnector.chapterIV.builders.WrappedResponseBuilder

public final class WrappedResponseBuilder extends Object
builds wrapped response objects which can be processed with generic code. needed because xml objects are generated and don't have common superclass or interfaced defined but do implement common methods.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static UnsealedResponseWrapper<Response>`
  `wrap(Response response)`
  wraps a xml class that doesn't implement any interface in a generic class which implements the interfaces.
  `static UnsealedResponseWrapper<Response>`
  `wrap(Response response)`
  wraps a xml class that doesn't implement any interface in a generic class which implements the interfaces.
  `static Chap4MedicalAdvisorAgreementResponseWrapper<AskChap4MedicalAdvisorAgreementResponse>`
  `wrap(AskChap4MedicalAdvisorAgreementResponse response)`
  wraps a xml class that doesn't implement any interface in a generic class which implements the interfaces.
  `static Chap4MedicalAdvisorAgreementResponseWrapper<ConsultChap4MedicalAdvisorAgreementResponse>`
  `wrap(ConsultChap4MedicalAdvisorAgreementResponse agreementResponse)`
  wraps `ConsultChap4MedicalAdvisorAgreementResponse` in a more generic Chap4MedicalAdvisorAgreementResponseWrapper.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### wrap

    public static Chap4MedicalAdvisorAgreementResponseWrapper<ConsultChap4MedicalAdvisorAgreementResponse> wrap(ConsultChap4MedicalAdvisorAgreementResponse agreementResponse)
    wraps `ConsultChap4MedicalAdvisorAgreementResponse` in a more generic Chap4MedicalAdvisorAgreementResponseWrapper.
    Parameters:
      `agreementResponse` - the object to be wrapped
    Returns:
      the wrapped object , implementing the generic interface.

  - ### wrap

    public static Chap4MedicalAdvisorAgreementResponseWrapper<AskChap4MedicalAdvisorAgreementResponse> wrap(AskChap4MedicalAdvisorAgreementResponse response)
    wraps a xml class that doesn't implement any interface in a generic class which implements the interfaces.
    Parameters:
      `response` - the xml class without interfaces
    Returns:
      the wrapped object , implementing the interfaces

  - ### wrap

    public static UnsealedResponseWrapper<Response> wrap(Response response)
    wraps a xml class that doesn't implement any interface in a generic class which implements the interfaces.
    Parameters:
      `response` - the xml class without interfaces
    Returns:
      the wrapped object , implementing the interfaces

  - ### wrap

    public static UnsealedResponseWrapper<Response> wrap(Response response)
    wraps a xml class that doesn't implement any interface in a generic class which implements the interfaces.
    Parameters:
      `response` - the xml class without interfaces
    Returns:
      the wrapped object , implementing the interfaces